StandardizationRuleSetMap (CMDB Model API)
Keywords: com.collation.platform.model.standardization.StandardizationRuleSetMap interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.standardization
Interface StandardizationRuleSetMap

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface StandardizationRuleSetMap

extends ModelObject

Naming Rules:
  0="object,attribute"
Persistable:
  true
Table Name:
  STDZ_RULESETMAP
Display Name:
  object,attribute

Method Summary
`java.lang.String` | `getAttribute()` Attribute Methods
`java.lang.String` | `getObject()` Object Methods
`StandardizationRuleSet` | `getStandardizationRuleSet()` RuleSet Methods
`boolean` | `hasAttribute()`
`boolean` | `hasObject()`
`boolean` | `hasStandardizationRuleSet()`
`void` | `setAttribute(java.lang.String attribute)`
`void` | `setObject(java.lang.String object)`
`void` | `setStandardizationRuleSet(StandardizationRuleSet ruleSet)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getObject

    java.lang.String getObject()
                               throws AttributeNotSetException

  Object Methods

  Throws:
    `AttributeNotSetException`

### setObject

    void setObject(java.lang.String object)

### hasObject

    boolean hasObject()

### getAttribute

    java.lang.String getAttribute()
                                  throws AttributeNotSetException

  Attribute Methods

  Throws:
    `AttributeNotSetException`

### setAttribute

    void setAttribute(java.lang.String attribute)

### hasAttribute

    boolean hasAttribute()

### getStandardizationRuleSet

    StandardizationRuleSet getStandardizationRuleSet()
                                                     throws AttributeNotSetException

  RuleSet Methods

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.DefinedUsing" reverse="false"

### setStandardizationRuleSet

    void setStandardizationRuleSet(StandardizationRuleSet ruleSet)

### hasStandardizationRuleSet

    boolean hasStandardizationRuleSet()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD